
Foreman - Bug #8673

[RBAC] A user should not be able to create a role that exceeds their own permissions.

12/11/2014 05:49 PM - Thomas McKay

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1173352 Red Hat JIRA:  

Pull request:    

Description

If a user is given role creation permissions, the roles they create should not have permissions that exceed their own. (eg. If a user

has view hosts, then edit hosts should not be available to assign.)

History

#1 - 12/11/2014 05:50 PM - Thomas McKay

- Bugzilla link set to 1173352

#2 - 12/11/2014 06:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2011 added

- Pull request deleted ()

#3 - 12/12/2014 08:12 AM - Dominic Cleal

- Category changed from Authentication to Users, Roles and Permissions

#4 - 09/01/2015 04:10 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Thomas McKay)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2011)

#5 - 03/14/2016 02:09 PM - Thomas McKay

- Status changed from New to Duplicate
